﻿namespace Platform.Modules.Abstract
{
    public interface IModuleTask
    {
        /// <summary>
        /// Start process work
        /// </summary>
        void Start();

        /// <summary>
        /// Stop process work
        /// </summary>
        void Stop();

        /// <summary>
        /// Returns true if started
        /// </summary>
        bool IsStarted { get; }
    }
}
